--TEST--
string-params #6 - string params mode
--DESCRIPTION--
string params mode - hash parameters get context information
--SKIPIF--
<?php if( !extension_loaded('handlebars') ) die('skip '); ?>
--FILE--
<?php
use Handlebars\Compiler;
use Handlebars\Parser;
use Handlebars\Tokenizer;
use Handlebars\Utils;
use Handlebars\VM;
require __DIR__ . "/../../../utils.inc";$options = array (
  'stringParams' => true,
  'data' => true,
  'blockParams' => 
  array (
  ),
  'knownHelpers' => 
  array (
    'helperMissing' => true,
    'blockHelperMissing' => true,
    'each' => true,
    'if' => true,
    'unless' => true,
    'with' => true,
    'log' => true,
    'lookup' => true,
  ),
);
$tmpl = '{{#with dale}}{{tomdale he.says desire=\'need\' noun=../dad/joke bool=true}}{{/with}}';
myprint(Compiler::compile($tmpl, $options), true);
myprint(gettype(Compiler::compilePrint($tmpl, $options)), true);
--EXPECT--
Handlebars\Program Object
(
    [opcodes] => Array
        (
            [0] => Handlebars\Opcode Object
                (
                    [opcode] => getContext
                    [args] => Array
                        (
                            [0] => 0
                        )

                )

            [1] => Handlebars\Opcode Object
                (
                    [opcode] => pushStringParam
                    [args] => Array
                        (
                            [0] => dale
                            [1] => PathExpression
                        )

                )

            [2] => Handlebars\Opcode Object
                (
                    [opcode] => pushProgram
                    [args] => Array
                        (
                            [0] => 0
                        )

                )

            [3] => Handlebars\Opcode Object
                (
                    [opcode] => pushProgram
                    [args] => Array
                        (
                            [0] => 
                        )

                )

            [4] => Handlebars\Opcode Object
                (
                    [opcode] => emptyHash
                    [args] => Array
                        (
                            [0] => 
                        )

                )

            [5] => Handlebars\Opcode Object
                (
                    [opcode] => invokeKnownHelper
                    [args] => Array
                        (
                            [0] => 1
                            [1] => with
                        )

                )

            [6] => Handlebars\Opcode Object
                (
                    [opcode] => append
                    [args] => Array
                        (
                        )

                )

        )

    [children] => Array
        (
            [0] => Handlebars\Program Object
                (
                    [opcodes] => Array
                        (
                            [0] => Handlebars\Opcode Object
                                (
                                    [opcode] => getContext
                                    [args] => Array
                                        (
                                            [0] => 0
                                        )

                                )

                            [1] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushStringParam
                                    [args] => Array
                                        (
                                            [0] => he.says
                                            [1] => PathExpression
                                        )

                                )

                            [2] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushProgram
                                    [args] => Array
                                        (
                                            [0] => 
                                        )

                                )

                            [3] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushProgram
                                    [args] => Array
                                        (
                                            [0] => 
                                        )

                                )

                            [4] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushHash
                                    [args] => Array
                                        (
                                        )

                                )

                            [5] => Handlebars\Opcode Object
                                (
                                    [opcode] => getContext
                                    [args] => Array
                                        (
                                            [0] => 0
                                        )

                                )

                            [6] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushStringParam
                                    [args] => Array
                                        (
                                            [0] => need
                                            [1] => StringLiteral
                                        )

                                )

                            [7] => Handlebars\Opcode Object
                                (
                                    [opcode] => getContext
                                    [args] => Array
                                        (
                                            [0] => 1
                                        )

                                )

                            [8] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushStringParam
                                    [args] => Array
                                        (
                                            [0] => dad.joke
                                            [1] => PathExpression
                                        )

                                )

                            [9] => Handlebars\Opcode Object
                                (
                                    [opcode] => getContext
                                    [args] => Array
                                        (
                                            [0] => 0
                                        )

                                )

                            [10] => Handlebars\Opcode Object
                                (
                                    [opcode] => pushStringParam
                                    [args] => Array
                                        (
                                            [0] => 1
                                            [1] => BooleanLiteral
                                        )

                                )

                            [11] => Handlebars\Opcode Object
                                (
                                    [opcode] => assignToHash
                                    [args] => Array
                                        (
                                            [0] => bool
                                        )

                                )

                            [12] => Handlebars\Opcode Object
                                (
                                    [opcode] => assignToHash
                                    [args] => Array
                                        (
                                            [0] => noun
                                        )

                                )

                            [13] => Handlebars\Opcode Object
                                (
                                    [opcode] => assignToHash
                                    [args] => Array
                                        (
                                            [0] => desire
                                        )

                                )

                            [14] => Handlebars\Opcode Object
                                (
                                    [opcode] => popHash
                                    [args] => Array
                                        (
                                        )

                                )

                            [15] => Handlebars\Opcode Object
                                (
                                    [opcode] => getContext
                                    [args] => Array
                                        (
                                            [0] => 0
                                        )

                                )

                            [16] => Handlebars\Opcode Object
                                (
                                    [opcode] => lookupOnContext
                                    [args] => Array
                                        (
                                            [0] => Array
                                                (
                                                    [0] => tomdale
                                                )

                                            [1] => 1
                                            [2] => 1
                                            [3] => 
                                        )

                                )

                            [17] => Handlebars\Opcode Object
                                (
                                    [opcode] => invokeHelper
                                    [args] => Array
                                        (
                                            [0] => 1
                                            [1] => tomdale
                                            [2] => 1
                                        )

                                )

                            [18] => Handlebars\Opcode Object
                                (
                                    [opcode] => appendEscaped
                                    [args] => Array
                                        (
                                        )

                                )

                        )

                    [children] => Array
                        (
                        )

                    [decorators] => 
                    [isSimple] => 
                    [useDepths] => 1
                    [usePartial] => 
                    [useDecorators] => 
                    [blockParams] => 0
                    [stringParams] => 1
                    [trackIds] => 
                )

        )

    [decorators] => 
    [isSimple] => 
    [useDepths] => 1
    [usePartial] => 
    [useDecorators] => 
    [blockParams] => 0
    [stringParams] => 1
    [trackIds] => 
)
string
